summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2020-10-12 12:54:23 +0200
committerLars Wendler <polynomial-c@gentoo.org>2020-10-12 12:54:32 +0200
commit5a67a71912f0e9f66faeaa20e1c029453260cdb2 (patch)
treeb964e8233584039aa9f3b3b36288e91787afec38 /dev-libs/libp11
parentnet-libs/libsignal-protocol-c: amd64 stable wrt bug #747937 (diff)
downloadgentoo-5a67a71912f0e9f66faeaa20e1c029453260cdb2.tar.gz
gentoo-5a67a71912f0e9f66faeaa20e1c029453260cdb2.tar.bz2
gentoo-5a67a71912f0e9f66faeaa20e1c029453260cdb2.zip
dev-libs/libp11: Bump to version 0.4.11
Package-Manager: Portage-3.0.8, Repoman-3.0.1 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'dev-libs/libp11')
-rw-r--r--dev-libs/libp11/Manifest1
-rw-r--r--dev-libs/libp11/libp11-0.4.11.ebuild32
2 files changed, 33 insertions, 0 deletions
diff --git a/dev-libs/libp11/Manifest b/dev-libs/libp11/Manifest
index 6de23daa6f2..c7a88e52601 100644
--- a/dev-libs/libp11/Manifest
+++ b/dev-libs/libp11/Manifest
@@ -1 +1,2 @@
DIST libp11-0.4.10.tar.gz 496891 BLAKE2B 219f65f68ab6dbd4bbe5893ac0d520d7e4676afdd9f3891a3bc66fa006c353b2adad269708cee714985b495ed0b0d691f31964d7099125147ec630f3c63143e8 SHA512 7005dbbab170dff48bee99de67ab9ffbfd2004f4b5150a0a67717aabb30eb93a34495b6d084da5d05162dd8666e8ff4c451d0d153ee4dd5422b59f6f6ca2130c
+DIST libp11-0.4.11.tar.gz 500433 BLAKE2B 6a12d8bc0551b3ef11857c0e60a33ebae4f8dfa72c914e9356c13547d71e0f1000ef4b6b7476cfba7cc3376b44b05c2bb0e7a88a267c13702222a7d2b10e9a78 SHA512 37eeeab09cbef7e1498358f2c614f4ec6cb9f37bc9b19e6e393fc0ed3c47ebad8d484b5f5cf428c76ffdf25d08e337d5148d0ff517957283394111dea83352f2
diff --git a/dev-libs/libp11/libp11-0.4.11.ebuild b/dev-libs/libp11/libp11-0.4.11.ebuild
new file mode 100644
index 00000000000..695cc0c1893
--- /dev/null
+++ b/dev-libs/libp11/libp11-0.4.11.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Abstraction layer to simplify PKCS#11 API"
+HOMEPAGE="https://github.com/opensc/libp11/wiki"
+SRC_URI="https://github.com/OpenSC/${PN}/releases/download/${P}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
+IUSE="libressl bindist doc static-libs"
+
+RDEPEND="
+ !libressl? ( dev-libs/openssl:0=[bindist=] )
+ libressl? ( >=dev-libs/libressl-2.8:0= )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? ( app-doc/doxygen )"
+
+src_configure() {
+ econf \
+ --enable-shared \
+ $(use_enable static-libs static) \
+ $(use_enable doc api-doc)
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}